Bug 5582 - DNS: Enhanced zone file
DNS: Enhanced zone file
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Other
unspecified
All All
: P3 normal
: ---
Assigned To: Andrew Bartlett
Andrew Bartlett
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-03 12:12 UTC by Matthias Dieter Wallnöfer
Modified: 2008-08-02 08:09 UTC (History)
0 users

See Also:


Attachments
Here a patch (1.42 KB, patch)
2008-07-03 12:14 UTC, Matthias Dieter Wallnöfer
no flags Details
Corrected patch (1.47 KB, patch)
2008-07-03 15:04 UTC, Matthias Dieter Wallnöfer
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Dieter Wallnöfer 2008-07-03 12:12:18 UTC
The zone file created by the provision routine isn't completely compatible with the entries found in Windows Server. I enhanced it and now it should match for a basic AD environment (only with default site).
Comment 1 Matthias Dieter Wallnöfer 2008-07-03 12:14:56 UTC
Created attachment 3383 [details]
Here a patch

The enhancements were performed in the sense of http://technet2.microsoft.com/windowsserver/en/library/9d62e91d-75c3-4a77-ae93-a8804e9ff2a11033.mspx .
Comment 2 Matthias Dieter Wallnöfer 2008-07-03 15:04:44 UTC
Created attachment 3387 [details]
Corrected patch

I got a problem with the old patch. The new one seems to fix the issue with the "A" record.
Comment 3 Matthias Dieter Wallnöfer 2008-07-16 14:09:15 UTC
Please have also a look on this!
Comment 4 Matthias Dieter Wallnöfer 2008-08-02 08:09:16 UTC
And this one is fixed too.